Bug 4166 - improper use of strchr()?
Summary: improper use of strchr()?
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: chkconfig   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-22 20:04 UTC by ahosey
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-23 20:04:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ahosey 1999-07-22 20:04:46 UTC
This is in chkconfig.c:

while ((ent = readdir(dir))) {
  if (strchr(ent->d_name, '~') || strchr(ent->d_name,
',') 	      || strchr(ent->d_name, '.')) continue;

This causes chkconfig to omit any filename which has a dot
in it anywhere! This is not good.

Comment 1 Jeff Johnson 1999-08-23 20:04:59 UTC
Fixed in chkconfig-1.0.7-2. Thanks for noticing.


Note You need to log in before you can comment on or make changes to this bug.